﻿Public Class FrmColorGridSquare

    Dim Side As Integer = 50

    Private Sub btnMakeGrid_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMakeGrid.Click
        Dim i As Integer
        Dim j As Integer
        Dim MyBrush As SolidBrush   'fill in color 
        Dim MyPen As Pen = New Pen(Color.White, 1) 'outline color (aka stroke) is white

        btnMakeGrid.Visible = False

        Me.Width = 16 * Side + 20 'adjust width of form
        Me.Height = 16 * Side + 40      'adjust height of form

        'NESTED loops each with 16 iterations 
        For j = 0 To 15
            For i = 0 To 15
                MyBrush = New Drawing.SolidBrush(System.Drawing.Color.FromArgb(i * 17, 0, j * 17))
                'The brush (fill color) changes with each iteration  
                Me.CreateGraphics.FillRectangle(MyBrush, Side * i, Side * j, Side, Side)  'rectangle's inside
                Me.CreateGraphics.DrawRectangle(MyPen, Side * i, Side * j, Side, Side)    'rectangle's outline
                'the second argument 60*i is the x -- the horizontal position 
                'which changes with each iteration
            Next  'end of inner loop with i counter
        Next    'end of outer loop with j counter 

    End Sub
End Class
